<?php

namespace Drupal\media_folder_management\Entity\Storage;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\Sql\SqlContentEntityStorage;

/**
 * Defines the storage handler class for media folder file.
 *
 * The default storage is overridden to handle metadata fetching outside of the
 * database transaction.
 */
class MediaFolderFileStorage extends SqlContentEntityStorage {

  /**
   * {@inheritdoc}
   */
  public function save(EntityInterface $media_folder_file) {
    if (method_exists($media_folder_file, 'prepareSave')) {
      $media_folder_file->prepareSave();
    }
    return parent::save($media_folder_file);
  }

}
