<?php

namespace Drupal\media_folder_management;

use Drupal\Core\Config\Entity\ConfigEntityInterface;
use Drupal\Core\Entity\EntityDescriptionInterface;
use Drupal\Core\Entity\RevisionableEntityBundleInterface;

/**
 * Media Folder File Type Interface.
 */
interface MediaFolderFileTypeInterface extends ConfigEntityInterface, EntityDescriptionInterface, RevisionableEntityBundleInterface {

  /**
   * Sets whether new revisions should be created by default.
   *
   * @param bool $new_revision
   *   TRUE if items of this type should create new revisions by default.
   *
   * @return $this
   */
  public function setNewRevision($new_revision);

}
